package cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 流程抄送 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 * @author Administrator
 */
@Data
public class ProcessCopyBaseVO {

    @ApiModelProperty(value = "抄送标题")
    private String title;

    @ApiModelProperty(value = "流程主键")
    private String processId;

    @ApiModelProperty(value = "流程名称")
    private String processName;

    @ApiModelProperty(value = "流程分类主键")
    private String categoryId;

    @ApiModelProperty(value = "部署主键")
    private String deploymentId;

    @ApiModelProperty(value = "流程实例主键")
    private String instanceId;

    @ApiModelProperty(value = "任务主键")
    private String taskId;

    @ApiModelProperty(value = "用户主键")
    private Long userId;

    @ApiModelProperty(value = "发起人主键")
    private Long originatorId;

    @ApiModelProperty(value = "发起人名称")
    private String originatorName;

    @ApiModelProperty(value = "业务参数")
    private String businessNo;

}
