package cn.iocoder.yudao.module.bpm.convert.definition;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.ProcessCopyCreateReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.ProcessCopyExcelVO;
import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.ProcessCopyRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.ProcessCopyUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.bpm.dal.dataobject.definition.ProcessCopyDO;

/**
 * 流程抄送 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface ProcessCopyConvert {

    ProcessCopyConvert INSTANCE = Mappers.getMapper(ProcessCopyConvert.class);

    ProcessCopyDO convert(ProcessCopyCreateReqVO bean);

    ProcessCopyDO convert(ProcessCopyUpdateReqVO bean);

    ProcessCopyRespVO convert(ProcessCopyDO bean);

    List<ProcessCopyRespVO> convertList(List<ProcessCopyDO> list);

    PageResult<ProcessCopyRespVO> convertPage(PageResult<ProcessCopyDO> page);

    List<ProcessCopyExcelVO> convertList02(List<ProcessCopyDO> list);

}
