package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.order.OrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BmpOrderWarehouseingResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderService orderService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_WAREHOUSING.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("----------------------入仓申请----------------------,{},{}" + event.getBusinessKey(), event.getResult());
        //orderService.approvalOrder(event.getBusinessKey(), event.getResult());
    }

}
