package cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 流程抄送 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class ProcessCopyExcelVO {

    @ExcelProperty("抄送标题")
    private String title;

    @ExcelProperty("流程主键")
    private String processId;

    @ExcelProperty("流程名称")
    private String processName;

    @ExcelProperty("流程分类主键")
    private String categoryId;

    @ExcelProperty("部署主键")
    private String deploymentId;

    @ExcelProperty("流程实例主键")
    private String instanceId;

    @ExcelProperty("任务主键")
    private String taskId;

    @ExcelProperty("用户主键")
    private Long userId;

    @ExcelProperty("发起人主键")
    private Long originatorId;

    @ExcelProperty("发起人名称")
    private String originatorName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
